<template>
  <Modal :title="data.title">
    <form>
      <TextArea
        v-model="form.topic_text"
        name="topic_text"
        :label="__('Topic Text')"
        :required="true"
      />

      <TextArea
        v-model="form.instruction"
        name="instruction"
        :label="__('Instruction')"
      />
    </form>

    <template v-slot:footer>
      <button
        @click="
          existing_record
            ? form.patch(
                route(
                  'admin.settings.authorAssessment.writingTopic.update',
                  existing_record.uuid
                )
              )
            : form.post(route('admin.settings.authorAssessment.writingTopic.store'))
        "
        :disabled="form.processing"
        type="submit"
        class="btn btn-primary"
      >
        {{ __("Submit") }}
      </button>
    </template>
  </Modal>
</template>

<script>
import { TextArea, SubmitButton } from "../../../../../components/Form/Index.js";

export default {
  components: {
    TextArea,
    SubmitButton,
  },
  props: ["data", "existing_record"],
  data() {
    return {
      form: this.$inertia.form(this.prepareForm()),
      formConfig: {
        preserveScroll: false,
      },
    };
  },
  methods: {
    prepareForm() {
      let inputs = {
        topic_text: null,
        instruction: null,
      };
      if (this.existing_record) {
        inputs = { ...inputs, ...this.existing_record };
      }
      return inputs;
    },
  },
};
</script>
